AsterNet Class Library (Sandcastle documentation)

| LoginAction Constructor (String, String)

Creates a new LoginAction that performs a cleartext login.
You should not use cleartext login if you are concerned about security and login with a password hash instead.

Namespace: AsterNET.Manager.Action
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public LoginAction(
    	string username,
    	string secret
    )

    Public Sub New (
    	username As String,
    	secret As String
    )

    public:
    LoginAction(
    	String^ username,
    	String^ secret
    )

    new :
            username : string *
            secret : string -> LoginAction

#### Parameters

username
  Type: System
  String
  the username as configured in Asterisk's manager.conf
secret
  Type: System
  String
  the user's password as configured in Asterisk's manager.conf

See Also

#### Reference

LoginAction Class
LoginAction Overload
AsterNET.Manager.Action Namespace
AsterNET.Manager.Action
ChallengeAction